# Control Component

The WebMAP base components are used to manage general things that all the WebMAP's components must implement. The ControlComponent class for instance is the base class for all the others components.

## PME Support

### Properties

| Property         | Get/Set | Notify Changes | Details                                                                                       |
| ---------------- | ------- | -------------- | --------------------------------------------------------------------------------------------- |
| enabled: boolean | Yes     | No             | Gets or sets a value indicating whether the control can respond to user interaction.          |
| events: boolean  | Yes     | No             | Gets or sets the list of event.                                                               |
| height: number   | Yes     | No             | Gets or sets the height of the control.                                                       |
| model: any       | Yes     | No             | Gets or sets the model of the control.                                                        |
| name: string     | Yes     | No             | Gets or sets the name of the control.                                                         |
| text: string     | Yes     | Yes            | Gets or sets the text associated with this control.                                           |
| visible: boolean | Yes     | No             | Gets or sets a value indicating whether the control and all its child controls are displayed. |
| width: number    | Yes     | No             | Gets or sets the width of the control.                                                        |

### Methods

| Method        | Supported | Details                                               |
| ------------- | --------- | ----------------------------------------------------- |
| isBindedEvent | Yes       | Indicates if an event is binded in the server or not. |

### Events

| Event    | Supported | Parameter       | Details                       |
| -------- | --------- | --------------- | ----------------------------- |
| blur     | Yes       | **$event**: any | Triggers `LostFocus` Event.   |
| change   | Yes       | **$event**: any | Triggers `TextChanged` Event. |
| enter    | Yes       | **$event**: any | Triggers `Enter` Event.       |
| focus    | Yes       | **$event**: any | Triggers `GotFocus` Event.    |
| keyPress | Yes       | **$event**: any | Triggers `keyPress` Event.    |
| keyDown  | Yes       | **$event**: any | Triggers `keyDown` Event.     |
| leave    | Yes       | **$event**: any | Triggers `Leave` Event.       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
